# phpMyAdmin SQL Dump
# version 2.5.5-pl1
# http://www.phpmyadmin.net
#
# Host: localhost
# Generation Time: Jul 25, 2004 at 11:45 PM
# Server version: 3.23.56
# PHP Version: 4.3.4
# 
# Database : `205test`
# 

# --------------------------------------------------------

#
# Table structure for table `PDlinks_broken`
#

CREATE TABLE PDlinks_broken (
  reportid int(5) NOT NULL auto_increment,
  lid int(11) NOT NULL default '0',
  sender int(11) NOT NULL default '0',
  ip varchar(20) NOT NULL default '',
  date varchar(11) NOT NULL default '0',
  confirmed enum('0','1') NOT NULL default '0',
  acknowledged enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (reportid),
  KEY lid (lid),
  KEY sender (sender),
  KEY ip (ip)
) TYPE=MyISAM;

#
# Dumping data for table `PDlinks_broken`
#


# --------------------------------------------------------

#
# Table structure for table `PDlinks_cat`
#

CREATE TABLE PDlinks_cat (
  cid int(5) unsigned NOT NULL auto_increment,
  pid int(5) unsigned NOT NULL default '0',
  title varchar(50) NOT NULL default '',
  imgurl varchar(150) NOT NULL default '',
  description varchar(255) NOT NULL default '',
  total int(11) NOT NULL default '0',
  spotlighttop int(11) NOT NULL default '0',
  spotlighthis int(11) NOT NULL default '0',
  nohtml int(1) NOT NULL default '0',
  nosmiley int(1) NOT NULL default '0',
  noxcodes int(1) NOT NULL default '0',
  noimages int(1) NOT NULL default '0',
  nobreak int(1) NOT NULL default '1',
  weight int(11) NOT NULL default '0',
  PRIMARY KEY  (cid),
  KEY pid (pid)
) TYPE=MyISAM;

#
# Dumping data for table `PDlinks_cat`
#

# --------------------------------------------------------

#
# Table structure for table `PDlinks_links`
#

CREATE TABLE PDlinks_links (
  lid int(11) unsigned NOT NULL auto_increment,
  cid int(5) unsigned NOT NULL default '0',
  title varchar(100) NOT NULL default '',
  url varchar(255) NOT NULL default '',
  screenshot varchar(255) NOT NULL default '',
  submitter int(11) NOT NULL default '0',
  publisher varchar(255) NOT NULL default '',
  status tinyint(2) NOT NULL default '0',
  date int(10) NOT NULL default '0',
  hits int(11) unsigned NOT NULL default '0',
  rating double(6,4) NOT NULL default '0.0000',
  votes int(11) unsigned NOT NULL default '0',
  comments int(11) unsigned NOT NULL default '0',
  forumid int(11) NOT NULL default '0',
  published int(11) NOT NULL default '1089662528',
  expired int(10) NOT NULL default '0',
  updated int(11) NOT NULL default '0',
  offline tinyint(1) NOT NULL default '0',
  description text NOT NULL,
  ipaddress varchar(120) NOT NULL default '0',
  notifypub int(1) NOT NULL default '0',
  PRIMARY KEY  (lid),
  KEY cid (cid),
  KEY status (status),
  KEY title (title(40))
) TYPE=MyISAM;

#
# Dumping data for table `PDlinks_links`
#

# --------------------------------------------------------

#
# Table structure for table `PDlinks_indexpage`
#

CREATE TABLE PDlinks_indexpage (
  indeximage varchar(255) NOT NULL default 'blank.png',
  indexheading varchar(255) NOT NULL default 'PD-Links',
  indexheader text NOT NULL,
  indexfooter text NOT NULL,
  nohtml tinyint(8) NOT NULL default '1',
  nosmiley tinyint(8) NOT NULL default '1',
  noxcodes tinyint(8) NOT NULL default '1',
  noimages tinyint(8) NOT NULL default '1',
  nobreak tinyint(4) NOT NULL default '0',
  indexheaderalign varchar(25) NOT NULL default 'left',
  indexfooteralign varchar(25) NOT NULL default 'center',
  FULLTEXT KEY indexheading (indexheading),
  FULLTEXT KEY indexheader (indexheader),
  FULLTEXT KEY indexfooter (indexfooter)
) TYPE=MyISAM;

#
# Dumping data for table `PDlinks_indexpage`
#

INSERT INTO PDlinks_indexpage VALUES ('logo-en.png', 'PD-Links', '<div><b>Welcome to the PD Links Section.</b></div>', 'PD-Links', 0, 0, 0, 0, 1, 'left', 'Center');

# --------------------------------------------------------


#
# Table structure for table `PDlinks_mod`
#

CREATE TABLE PDlinks_mod (
  requestid int(11) NOT NULL auto_increment,
  lid int(11) unsigned NOT NULL default '0',
  cid int(5) unsigned NOT NULL default '0',
  title varchar(255) NOT NULL default '',
  url varchar(255) NOT NULL default '',
  screenshot varchar(255) NOT NULL default '',
  submitter int(11) NOT NULL default '0',
  publisher text NOT NULL,
  status tinyint(2) NOT NULL default '0',
  date int(10) NOT NULL default '0',
  hits int(11) unsigned NOT NULL default '0',
  rating double(6,4) NOT NULL default '0.0000',
  votes int(11) unsigned NOT NULL default '0',
  comments int(11) unsigned NOT NULL default '0',
  forumid int(11) NOT NULL default '0',
  published int(10) NOT NULL default '0',
  expired int(10) NOT NULL default '0',
  updated int(11) NOT NULL default '0',
  offline tinyint(1) NOT NULL default '0',
  description text NOT NULL,
  modifysubmitter int(11) NOT NULL default '0',
  requestdate int(11) NOT NULL default '0',
  PRIMARY KEY  (requestid)
) TYPE=MyISAM;

#
# Dumping data for table `PDlinks_mod`
#

# --------------------------------------------------------


#
# Table structure for table `PDlinks_votedata`
#

CREATE TABLE PDlinks_votedata (
  ratingid int(11) unsigned NOT NULL auto_increment,
  lid int(11) unsigned NOT NULL default '0',
  ratinguser int(11) NOT NULL default '0',
  rating tinyint(3) unsigned NOT NULL default '0',
  ratinghostname varchar(60) NOT NULL default '',
  ratingtimestamp int(10) NOT NULL default '0',
  PRIMARY KEY  (ratingid),
  KEY ratinguser (ratinguser),
  KEY ratinghostname (ratinghostname),
  KEY lid (lid)
) TYPE=MyISAM;

#
# Dumping data for table `PDlinks_votedata`
#